Last Comment Bug 45127 - Wrong URL string used to construct kRDF_type object
: Wrong URL string used to construct kRDF_type object
Status: VERIFIED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: Java APIs to WebShell (show other bugs)
: Trunk
: x86 Windows NT
: P3 normal (vote)
: ---
Assigned To: edburns
: geetha.vaidyanaathan
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-11 07:50 PDT by Alexei V. Mokeev
Modified: 2012-04-09 22:27 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Alexei V. Mokeev 2000-07-11 07:50:39 PDT
in rdf_util.cpp#123 the string "http://home.netscape.com/NC-rdf#" used
to get kRDF_type. But in Mozilla's rdf.h#55 the RDF_NAMESPACE_URI defined as
"http://www.w3.org/1999/02/22-rdf-syntax-ns#" ,
and used to get kRDF_type.

So, problems can appear when transfer kRDF_type between Webclient and Mozilla's
code, because they are differ.
Comment 1 edburns 2000-07-20 12:31:07 PDT
a
Comment 2 edburns 2000-08-07 12:17:13 PDT
I tried it with the other URL, and bookmarks no longer worked.  I'm sticking
with #define NC_NAMESPACE_URI   "http://home.netscape.com/NC-rdf#"
.

Marking invalid.
Comment 3 Alexei V. Mokeev 2000-08-09 03:44:27 PDT
Reopen.
Please look at the part of code of nsBookmarksService.cpp#230 :
...
 gRDF->GetResource(NC_NAMESPACE_URI "Name",                &kNC_Name);
 gRDF->GetResource(NC_NAMESPACE_URI "ShortcutURL",        &kNC_ShortcutURL);
 gRDF->GetResource(NC_NAMESPACE_URI "URL",                &kNC_URL);
 gRDF->GetResource(RDF_NAMESPACE_URI "type",              &kRDF_type);
 gRDF->GetResource(RDF_NAMESPACE_URI "nextVal",           &kRDF_nextVal)
...
and note that really two different URI's used to construct different resources:
"http://www.w3.org/1999/02/22-rdf-syntax-ns#" is used to get kRDF_type,
kRDF_nextVal, etc ...

and 
"http://home.netscape.com/NC-rdf#" is used to get kNC_Name,kNC_URL, etc ..

But in webclient code (rdf_util.cpp) one "http://home.netscape.com/NC-rdf#"
is used to get ALL.

So from current point of view this bug is valid:
Wrong URL used to construct kRDF_type 

Comment 4 edburns 2000-08-15 15:03:03 PDT
Fix checked in.
Comment 5 Alexei V. Mokeev 2001-10-18 06:15:13 PDT
Verified with JAVADEV_6_1_20010831.
Mark VERIFIED

Note You need to log in before you can comment on or make changes to this bug.